<template>
  <v-container
    id="user-profile-view"
    fluid
    tag="section"
  >
    <v-row justify="center">
      <v-col
        cols="12"
        md="8"
      >
        <material-card
          color="primary"
          icon="mdi-account-outline"
        >
          <template #title>
            Edit Profile — <small class="text-body-1">Complete your profile</small>
          </template>

          <v-form>
            <v-container class="py-0">
              <v-row>
                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field

                    v-model="example.companyname"
                    label="Company (disabled)"
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.ID"
                    color="purple"
                    label="ID"
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.begintime"
                    color="purple"
                    label="Setup date"
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="6"
                >
                  <v-text-field
                    v-model="example.industry"
                    color="purple"
                    label="Industry"
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="6"
                >
                  <v-text-field
                    v-model="example.address"
                    color="purple"
                    label="Address"
                  />
                </v-col>

                <v-col cols="12">
                  <v-text-field
                    v-model="example.city"
                    color="purple"
                    label="City"
                  />
                </v-col>

                <v-col

                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.country"
                    color="purple"
                    label="Country"
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.email"
                    color="purple"
                    label="Email"
                  />
                </v-col>

                <!-- <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    color="purple"
                    label="Postal Code"
                    type="number"
                  />
                </v-col> -->

                <v-col cols="12">
                  <v-textarea
                    v-model="example.aboutme"
                    color="purple"
                    label="About Me"
                  />
                </v-col>

                <v-col
                  cols="12"
                  class="text-right"
                >
                  <v-btn
                    color="primary"
                    min-width="150"
                  >
                    Update Profile
                  </v-btn>
                </v-col>
              </v-row>
            </v-container>
          </v-form>
        </material-card>
      </v-col>

      <v-col
        cols="12"
        md="4"
      >
        <app-card class="mt-4 text-center">
          <v-img
            class="rounded-circle elevation-6 mt-n12 d-inline-block"
            src="../assets/cat1.svg"
            width="128"
          />

          <v-card-text class="text-center">
            <h6 class="text-h6 mb-2 text--secondary">
              TEAM
            </h6>

            <h4 class="text-h4 mb-3 text--primary">
              BugHub
            </h4>

            <p class="text--secondary">
              我们真的写不完了...
            </p>

            <v-btn
              class="mr-0"
              color="primary"
              min-width="100"
              rounded
            >
              Follow
            </v-btn>
          </v-card-text>
        </app-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
  export default {
    name: 'UserProfileView',
    data () {
      return {
        example: {
          companyname: '姚记扑克',
          ID: '310114000010600',
          begintime: '1989-09-13',
          checktime: '2019-09-13',
          industry: '文教、工美、体育和娱乐用品制造业',
          address: '上海市嘉定区黄渡镇曹安公路4218号',
          city: '上海市',
          country: '中国',
          email: 'secretarybd@yaojipoker.com',
          aboutme: `        从2002年起，“姚记”商标连续6年被评为“上海市著名商标”
          2003年以来，“姚记”扑克先后荣获“中国十大文具品牌”和“上海市名牌产品”
          等冗余称号。同时，近几年，企业保持了持续、快速、健康的发展势头，
          得到了上级有关领导和政府部门的肯定和赞扬，被上海市政府认定为上海市市外在沪大企业，
          先后荣获“嘉定区先进私营企业”、“全锅轻工业质量效益先进企业”等荣誉称号，系全国工商联直属会员。`,
        },
      }
    },
  }
</script>
